Package org.drinkless.tdlib

# Class TdApi.SetFileGenerationProgress

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetFileGenerationProgress

Enclosing class:
  `TdApi`

public static class TdApi.SetFileGenerationProgress extends TdApi.Function<TdApi.Ok>
Informs TDLib on a file generation progress.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `expectedSize`
  Expected size of the generated file, in bytes; 0 if unknown.
  `long`
  `generationId`
  The identifier of the generation process.
  `long`
  `localPrefixSize`
  The number of bytes already generated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetFileGenerationProgress()`
  Default constructor for a function, which informs TDLib on a file generation progress.
  `SetFileGenerationProgress(long generationId, long expectedSize, long localPrefixSize)`
  Creates a function, which informs TDLib on a file generation progress.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### generationId

    public long generationId
    The identifier of the generation process.

  - ### expectedSize

    public long expectedSize
    Expected size of the generated file, in bytes; 0 if unknown.

  - ### localPrefixSize

    public long localPrefixSize
    The number of bytes already generated.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetFileGenerationProgress

    public SetFileGenerationProgress()
    Default constructor for a function, which informs TDLib on a file generation progress.

    Returns `Ok`

  - ### SetFileGenerationProgress

    public SetFileGenerationProgress(long generationId, long expectedSize, long localPrefixSize)
    Creates a function, which informs TDLib on a file generation progress.

    Returns `Ok`

    Parameters:
      `generationId` - The identifier of the generation process.
      `expectedSize` - Expected size of the generated file, in bytes; 0 if unknown.
      `localPrefixSize` - The number of bytes already generated.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR